## wiipdf 1.3

=== Makefile ===
all: wiipdf

wiipdf: wiipdf.c
	gcc -O2 -Wall -Werror -D_GNU_SOURCE -o wiipdf wiipdf.c -lcwiid

clean:
	rm -f wiipdf

distclean: clean

install: wiipdf
	install -d -m 755 $(DESTDIR)/usr/bin
	install -d -m 755 $(DESTDIR)/usr/share/man/man1
	install -m 755 wiipdf $(DESTDIR)/usr/bin/wiipdf
	install -m 644 wiipdf.1 $(DESTDIR)/usr/share/man/man1/wiipdf.1

## wiipdf 1.4

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,15 @@
+CFLAGS+=-O2
+CFLAGS+=-Wall
+CFLAGS+=-Werror
+CFLAGS+=-D_GNU_SOURCE
+
+LDFLAGS+=-lcwiid
+LDFLAGS+=-lbluetooth
+
 all: wiipdf
 
 wiipdf: wiipdf.c
-	gcc -O2 -Wall -Werror -D_GNU_SOURCE -o wiipdf wiipdf.c -lcwiid
+	$(CC) $(CFLAGS) -o $@ $^ $(LDFLAGS)
 
 clean:
 	rm -f wiipdf

=== debian/changelog ===
wiipdf (1.4-4build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 19:34:12 +1100

wiipdf (1.4-4) unstable; urgency=medium

  * QA upload.
  * Drop hard-coded dependency on shared library.
  * d/rules: Use dh_auto_build. Closes: #962752, #1011489.
  * Bump standards version.

 -- Matthias Klose <doko@debian.org>  Sat, 23 Mar 2024 16:19:07 +0100

wiipdf (1.4-3build1) noble; urgency=high

  * No change rebuild against libcwiid1t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:59:13 +0100

wiipdf (1.4-3) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (See #930304)
  * Switched to dpkg-source 3.0 (quilt) format.
  * Using new DH level format:
    - debian/compat: removed.
    - debian/control: changed from 'debhelper' to 'debhelper-compat' in
      Build-Depends field and bumped level to 13.
  * debian/control:
    - Added 'Rules-Requires-Root: no' to source stanza.
    - Bumped Standards Version to 4.5.0.
  * debian/patches/010_fix-debug-file-with-no-debug-symbols.patch:
    created patch to solve lintian error debug-file-with-no-debug-symbols.
  * debian/rules: dh_clean -k has been deprecated; removed it from
    dh_clean and added dh_prep.

 -- Francisco M Neto <fmneto@gmail.com>  Mon, 08 Jun 2020 22:06:00 +0300

wiipdf (1.4-2) unstable; urgency=low

  * Fix FTBFS by changing libcwiid1-dev to libcwiid-dev (Closes: #629787)
  * Bump standards version to 3.9.2

 -- Michael Stapelberg <michael@stapelberg.de>  Tue, 30 Aug 2011 12:23:45 +0200

wiipdf (1.4-1) unstable; urgency=low

  * New upstream version (Closes: #556676)
  * Bump standards version

 -- Michael Stapelberg <michael@stapelberg.de>  Mon, 21 Dec 2009 23:43:23 +0100

wiipdf (1.3-1) unstable; urgency=low

  * Bugfix: Checking of returncode was wrong
  * Set DM-Upload-Allowed flag

 -- Michael Stapelberg <michael@stapelberg.de>  Tue, 16 Jun 2009 23:28:17 +0200

wiipdf (1.2-2) unstable; urgency=low

  * Correctly set dependencies (debhelper)

 -- Michael Stapelberg <michael+wiipdf@stapelberg.de>  Fri, 20 Feb 2009 03:04:13 +0100

wiipdf (1.2-1) unstable; urgency=low

  * Returncode of system() is now checked (Closes: #511971)

 -- Michael Stapelberg <michael+wiipdf@stapelberg.de>  Thu, 19 Feb 2009 01:46:46 +0100

wiipdf (1.1-1) unstable; urgency=low

  * Handling filenames with spaces works now

 -- Michael Stapelberg <michael+wiipdf@stapelberg.de>  Mon, 08 Dec 2008 19:22:46 +0100

wiipdf (1.0-3) unstable; urgency=low

  * Add README.Debian with instructions

 -- Michael Stapelberg <michael+wiipdf@stapelberg.de>  Mon, 22 Sep 2008 03:25:36 +0200

wiipdf (1.0-2) unstable; urgency=low

  * Closes: #500901

 -- Michael Stapelberg <michael+wiipdf@stapelberg.de>  Thu, 02 Oct 2008 15:23:07 +0200

wiipdf (1.0-1) unstable; urgency=low

  * First release

 -- Michael Stapelberg <michael+wiipdf@stapelberg.de>  Sun, 21 Sep 2008 19:31:45 +0200

=== debian/control ===
Source: wiipdf
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libcwiid-dev, debhelper-compat (=13)
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: http://michael.stapelberg.de/wiipdf

Package: wiipdf
Architecture: any
Priority: optional
Section: utils
Depends: ${shlibs:Depends}, ${misc:Depends}, xpdf
Description: present a PDF file using your wiimote
 wiipdf is a tiny tool to present a PDF using xpdf and your wiimote.
 After providing it the bluetooth-ID of your wiimote it connects and
 lets you use the A and B button to go one slide forward respectively
 backward in your presentation. Each keypress is confirmed by a short
 rumble of your wiimote.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

config.status: configure
	dh_testdir
	touch $@


build: build-arch build-indep
build-arch: build-stamp
build-indep: build-stamp
build-stamp:
	dh_testdir
	dh_auto_build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	# Add here commands to clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) distclean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_clean
	dh_installdirs

	# Add here commands to install the package into debian/wiipdf
	$(MAKE) DESTDIR=$(CURDIR)/debian/wiipdf/ install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install
